SeExpr

Public Types | Public Member Functions | List of all members
SeExpr2::Examiner< constnode > Class Template Referenceabstract

`#include <ExprWalker.h>`

## Public Types
typedef ADD_CONST< ExprNode, constnode >::TYPE | T_NODE

## Public Member Functions
virtual bool | examine (T_NODE *examinee)=0
virtual void | post (T_NODE *examinee)
virtual void | reset ()=0

## Detailed Description

### template<bool constnode = false>
class SeExpr2::Examiner< constnode >

Definition at line 33 of file ExprWalker.h.

## Member Typedef Documentation

## ◆ T_NODE

template<bool constnode = false>

typedef ADD_CONST<ExprNode, constnode>::TYPE SeExpr2::Examiner< constnode >::T_NODE

Definition at line 35 of file ExprWalker.h.

## Member Function Documentation

## ◆ examine()

template<bool constnode = false>

virtual bool SeExpr2::Examiner< constnode >::examine | ( | T_NODE * | examinee | ) |
| pure virtual

## ◆ post()

template<bool constnode = false>

virtual void SeExpr2::Examiner< constnode >::post | ( | T_NODE * | examinee | ) |
| inline virtual

Definition at line 38 of file ExprWalker.h.

## ◆ reset()

template<bool constnode = false>

virtual void SeExpr2::Examiner< constnode >::reset | ( |  | ) |
| pure virtual

Implemented in SeExpr2::SpecExaminer, and SeExpr2::TypePrintExaminer.

Referenced by SeExpr2::Walker< constnode >::Walker().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/ExprWalker.h